package org.eclipse.jetty.servlet;

import java.io.FileInputStream;
import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.io.IOUtils;

/**
 * Möglichst simple Fake-Implementierung für die Ausführung des Testfalls
 *
 * @author kai
 */
public class DefaultServlet extends HttpServlet {

  @Override
  protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    String path = getServletContext().getRealPath(request.getRequestURI());
    if (path == null) {
      response.sendError(HttpServletResponse.SC_NOT_FOUND);
      return;
    }
    response.setContentType("text/html");
    IOUtils.copy(new FileInputStream(path), response.getOutputStream());
  }
}
